

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.17. config_set &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.18. database_unmap" href="database_unmap.html" />
    <link rel="prev" title="7.3.16. config_get" href="config_get.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/config_set.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="database_unmap.html" title="7.3.18. database_unmap"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="config_get.html" title="7.3.16. config_get"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.17. </span><code class="docutils literal notranslate"><span class="pre">config_set</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="config-set">
<h1><span class="section-number">7.3.17. </span><code class="docutils literal notranslate"><span class="pre">config_set</span></code><a class="headerlink" href="#config-set" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.17.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 5.1.2.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">config_set</span></code> command sets a value to the specified
configuration item.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.17.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes two required parameters:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>config_set key value
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.17.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is an example to set a value to <code class="docutils literal notranslate"><span class="pre">alias.column</span></code>
configuration item and confirm the set value:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>config_set alias.column Aliases.real_name
# [[0, 1337566253.89858, 0.000355720520019531], true]
config_get alias.column
# [[0, 1337566253.89858, 0.000355720520019531], &quot;Aliases.real_name&quot;]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.17.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes all parameters.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.17.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There are required parameters.</p>
<div class="section" id="key">
<span id="config-set-key"></span><h4><span class="section-number">7.3.17.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">key</span></code><a class="headerlink" href="#key" title="Permalink to this headline">¶</a></h4>
<p>Specifies the key of target configuration item.</p>
<p>The max key size is 4KiB.</p>
<p>You can’t use an empty string as key.</p>
</div>
<div class="section" id="value">
<span id="config-set-value"></span><h4><span class="section-number">7.3.17.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">value</span></code><a class="headerlink" href="#value" title="Permalink to this headline">¶</a></h4>
<p>Specifies the value of the target configuration item specified by
<code class="docutils literal notranslate"><span class="pre">key</span></code>.</p>
<p>The max value size is 4091B (= 4KiB - 5B).</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.17.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no optional parameter.</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.17.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">config_set</span></code> command returns whether setting a configuration item
value is succeeded or not:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, SUCCEEDED_OR_NOT]
</pre></div>
</div>
<div class="section" id="header">
<h3><span class="section-number">7.3.17.5.1. </span><code class="docutils literal notranslate"><span class="pre">HEADER</span></code><a class="headerlink" href="#header" title="Permalink to this headline">¶</a></h3>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> about <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
<div class="section" id="succeeded-or-not">
<h3><span class="section-number">7.3.17.5.2. </span><code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code><a class="headerlink" href="#succeeded-or-not" title="Permalink to this headline">¶</a></h3>
<p>If command succeeded, it returns true, otherwise it returns false on error.</p>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.17.6. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="../configuration.html"><span class="doc">Configuration</span></a></p></li>
<li><p><a class="reference internal" href="config_get.html"><span class="doc">config_get</span></a></p></li>
<li><p><a class="reference internal" href="config_delete.html"><span class="doc">config_delete</span></a></p></li>
</ul>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.17. <code class="docutils literal notranslate"><span class="pre">config_set</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.17.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.17.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.17.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.17.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.17.4.1. Required parameters</a><ul>
<li><a class="reference internal" href="#key">7.3.17.4.1.1. <code class="docutils literal notranslate"><span class="pre">key</span></code></a></li>
<li><a class="reference internal" href="#value">7.3.17.4.1.2. <code class="docutils literal notranslate"><span class="pre">value</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.17.4.2. Optional parameters</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.17.5. Return value</a><ul>
<li><a class="reference internal" href="#header">7.3.17.5.1. <code class="docutils literal notranslate"><span class="pre">HEADER</span></code></a></li>
<li><a class="reference internal" href="#succeeded-or-not">7.3.17.5.2. <code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#see-also">7.3.17.6. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="config_get.html"
                        title="previous chapter"><span class="section-number">7.3.16. </span><code class="docutils literal notranslate"><span class="pre">config_get</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="database_unmap.html"
                        title="next chapter"><span class="section-number">7.3.18. </span><code class="docutils literal notranslate"><span class="pre">database_unmap</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="database_unmap.html" title="7.3.18. database_unmap"
             >next</a> |</li>
        <li class="right" >
          <a href="config_get.html" title="7.3.16. config_get"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.17. </span><code class="docutils literal notranslate"><span class="pre">config_set</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>